=== modified file '.quickly'
--- .quickly	2010-07-31 17:48:00 +0000
+++ .quickly	2010-08-06 23:03:18 +0000
@@ -2,4 +2,4 @@
 version = 0.4.2
 template = pandora-build
 project-type = application
-pandora-version = 0.141
+pandora-version = 0.145

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-07-31 17:48:00 +0000
+++ m4/pandora_canonical.m4	2010-08-06 23:03:18 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.141])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.145])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],

=== added file 'm4/pandora_have_libboost_date_time.m4'
--- m4/pandora_have_libboost_date_time.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libboost_date_time.m4	2010-08-06 23:03:18 +0000
@@ -0,0 +1,46 @@
+dnl Copyright (C) 2010 Monty Taylor
+dnl This file is free software; Monty Taylor
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_BOOST_DATE_TIME],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+  AC_REQUIRE([ACX_PTHREAD])
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for Boost.Date_Time
+  dnl --------------------------------------------------------------------
+
+  AC_LANG_PUSH(C++)
+  AC_LIB_HAVE_LINKFLAGS(boost_date_time-mt,,[
+    #include <boost/date_time.hpp>
+  ],[
+    boost::gregorian::date weekstart(2002,2,1);
+  ])
+  AS_IF([test "x${ac_cv_libboost_date_time_mt}" = "xno"],[
+    AC_LIB_HAVE_LINKFLAGS(boost_date_time,,[
+      #include <boost/date_time.hpp>
+    ],[
+      boost::gregorian::date weekstart(2002,2,1);
+    ])
+  ])
+  AC_LANG_POP()
+  
+  AM_CONDITIONAL(HAVE_BOOST_DATE_TIME,
+    [test "x${ac_cv_libboost_date_time}" = "xyes" -o "x${ac_cv_libboost_date_time_mt}" = "xyes"])
+  BOOST_LIBS="${BOOST_LIBS} ${LTLIBBOOST_DATE_TIME_MT} ${LTLIBBOOST_DATE_TIME}"
+  AC_SUBST(BOOST_LIBS) 
+])
+
+AC_DEFUN([PANDORA_HAVE_BOOST_DATE_TIME],[
+  PANDORA_HAVE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_DATE_TIME($1)
+])
+
+AC_DEFUN([PANDORA_REQUIRE_BOOST_DATE_TIME],[
+  PANDORA_REQUIRE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_DATE_TIME($1)
+  AS_IF([test "x${ac_cv_libboost_date_time}" = "xno" -a "x${ac_cv_libboost_date_time_mt}" = "xno"],
+      AC_MSG_ERROR([Boost.Date_Time is required for ${PACKAGE}]))
+])
+

=== added file 'm4/pandora_have_libboost_filesystem.m4'
--- m4/pandora_have_libboost_filesystem.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libboost_filesystem.m4	2010-08-06 23:03:18 +0000
@@ -0,0 +1,45 @@
+dnl Copyright (C) 2010 Monty Taylor
+dnl This file is free software; Monty Taylor
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_BOOST_FILESYSTEM],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for Boost.Filesystem
+  dnl --------------------------------------------------------------------
+
+  AC_LANG_PUSH(C++)
+  AC_LIB_HAVE_LINKFLAGS(boost_filesystem-mt,,[
+    #include <boost/filesystem.hpp>
+  ],[
+    boost::filesystem::path my_path("some_dir/file.txt");
+  ])
+  AS_IF([test "x${ac_cv_libboost_filesystem_mt}" = "xno"],[
+    AC_LIB_HAVE_LINKFLAGS(boost_filesystem,,[
+      #include <boost/filesystem.hpp>
+    ],[
+      boost::filesystem::path my_path("some_dir/file.txt");
+    ])
+  ])
+  AC_LANG_POP()
+  
+  AM_CONDITIONAL(HAVE_BOOST_FILESYSTEM,
+    [test "x${ac_cv_libboost_filesystem}" = "xyes" -o "x${ac_cv_libboost_filesystem_mt}" = "xyes"])
+  BOOST_LIBS="${BOOST_LIBS} ${LTLIBBOOST_FILESYSTEM_MT} ${LTLIBBOOST_FILESYSTEM}"
+  AC_SUBST(BOOST_LIBS) 
+])
+
+AC_DEFUN([PANDORA_HAVE_BOOST_FILESYSTEM],[
+  PANDORA_HAVE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_FILESYSTEM($1)
+])
+
+AC_DEFUN([PANDORA_REQUIRE_BOOST_FILESYSTEM],[
+  PANDORA_REQUIRE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_FILESYSTEM($1)
+  AS_IF([test "x${ac_cv_libboost_filesystem}" = "xno" -a "x${ac_cv_libboost_filesystem_mt}" = "xno"],
+      AC_MSG_ERROR([Boost.Filesystem is required for ${PACKAGE}]))
+])
+

=== modified file 'm4/pandora_have_libinnodb.m4'
--- m4/pandora_have_libinnodb.m4	2010-03-02 07:14:49 +0000
+++ m4/pandora_have_libinnodb.m4	2010-08-06 23:03:18 +0000
@@ -7,7 +7,7 @@
   AC_REQUIRE([AC_LIB_PREFIX])
 
   dnl --------------------------------------------------------------------
-  dnl  Check for libinnodb
+  dnl  Check for libhaildb or libinnodb
   dnl --------------------------------------------------------------------
 
   AC_ARG_ENABLE([libinnodb],
@@ -16,25 +16,48 @@
     [ac_enable_libinnodb="$enableval"],
     [ac_enable_libinnodb="yes"])
 
+
   AS_IF([test "x$ac_enable_libinnodb" = "xyes"],[
-    AC_LIB_HAVE_LINKFLAGS(innodb,,[
-      #include <embedded_innodb-1.0/innodb.h>
+    AC_LIB_HAVE_LINKFLAGS(haildb,,[
+      #include <haildb.h>
     ],[
       ib_u64_t
       ib_api_version(void);
     ])
+    AS_IF([test "x${ac_cv_libhaildb}" = "xyes"],[
+      AC_DEFINE([HAVE_HAILDB_H],[1],[Do we have haildb.h])
+      INNODB_LIBS=${LTLIBHAILDB}
+      ac_cv_have_innodb=yes
+    ],[
+      AC_LIB_HAVE_LINKFLAGS(innodb,,[
+        #include <embedded_innodb-1.0/innodb.h>
+      ],[
+        ib_u64_t
+        ib_api_version(void);
+      ])
+      AS_IF([test "x{ac_cv_libinnodb}" = "xyes"],[
+        AC_DEFINE([HAVE_INNODB_H],[1],[Do we have innodb.h])
+        INNODB_LIBS=${LTLIBINNODB}
+        ac_cv_have_innodb=yes
+      ])
+    ])
   ],[
+    ac_cv_libhaildb="no"
     ac_cv_libinnodb="no"
   ])
-
+  AC_SUBST([INNODB_LIBS])
 
   AC_CACHE_CHECK([if libinnodb is recent enough],
     [ac_cv_recent_innodb_h],[
       save_LIBS=${LIBS}
-      LIBS="${LIBS} ${LTLIBINNODB}"
+      LIBS="${LIBS} ${INNODB_LIBS}"
       AC_LINK_IFELSE(
           [AC_LANG_PROGRAM([[
-      #include <embedded_innodb-1.0/innodb.h>
+#ifdef HAVE_HAILDB_H
+# include <haildb.h>
+#else
+# include <embedded_innodb-1.0/innodb.h>
+#endif
         ]],[[
       /* Make sure we have the two-arg version */
       ib_table_drop(NULL, "nothing");
@@ -50,7 +73,7 @@
     ac_cv_libinnodb=no
   ])
         
-  AM_CONDITIONAL(HAVE_LIBINNODB, [test "x${ac_cv_libinnodb}" = "xyes"])
+  AM_CONDITIONAL(HAVE_LIBINNODB, [test "x${ac_cv_have_innodb}" = "xyes"])
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBINNODB],[
@@ -60,5 +83,5 @@
 AC_DEFUN([PANDORA_REQUIRE_LIBINNODB],[
   AC_REQUIRE([PANDORA_HAVE_LIBINNODB])
   AS_IF([test "x${ac_cv_libinnodb}" = "xno"],
-      AC_MSG_ERROR([libinnodb is required for ${PACKAGE}]))
+      AC_MSG_ERROR([libhaildb or libinnodb is required for ${PACKAGE}]))
 ])

=== renamed file 'm4/intltool.m4' => 'm4/pandora_intltool.m4'
